////////////////////////////////////////////////
////////////////////////////////////////////////
// 1. Initial variables

// Colors
$black: hsl(0, 0%, 4%) ;
$black-bis: hsl(0, 0%, 7%) ;
$black-ter: hsl(0, 0%, 14%) ;
$grey-darker: hsl(0, 0%, 21%) ;
$grey-dark: hsl(0, 0%, 29%) ;
$grey: hsl(0, 0%, 48%) ;
$grey-light: hsl(0, 0%, 71%) ;
$grey-lighter: hsl(0, 0%, 86%) ;
$white-ter: hsl(0, 0%, 96%) ;
$white-bis: hsl(0, 0%, 98%) ;
$white: hsl(0, 0%, 100%) ;
$red: #db4646;
$orange:       hsl(14,  100%, 53%) ;
$yellow:       hsl(48,  100%, 67%) ;
$green:        hsl(141, 71%,  48%) ;
$turquoise:    hsl(171, 100%, 41%) ;
$dark-turquoise:hsl(193, 73%, 15%);
$dark-blue:    hsl(208, 100%, 8%);
$blue:         hsl(218, 100%,  20%);
$link-blue:    hsl(194, 64%, 48%) ;
$purple: hsl(271, 100%, 71%) ;
$nav-link-color: #6280af;
$callout-blue: hsl(217, 32%, 54%);
$light-background-blue:  #f4f6fa;
$footer-link-color: #c7d3e7;
$facebook-blue: #3B5998;
$google-plus-red: #db4437;

// Typography
$family-sans-serif: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", "Helvetica", "Arial", sans-serif ;
$family-monospace: monospace ;
$size-1: 3rem ;
$size-2: 2.5rem ;
$size-3: 2rem ;
$size-4: 1.5rem ;
$size-5: 1.25rem ;
$size-6: 1rem ;
$size-7: 0.75rem ;
$weight-light: 300 ;
$weight-normal: 400 ;
$weight-semibold: 500 ;
$weight-bold: 700 ;
$text-shadow: rgba(0, 0, 0, 0.75) 0 2px 6px;


// Body
$body-background: $white-ter ;
$body-size: 16px ;
// Responsiveness
// 960, 1152, and 1344 have been chosen because
// they are divisible by both 12 and 16
$tablet: 769px ;
// 960px container + 40px
$desktop: 1000px ;
// 1152px container + 40
$widescreen: 1192px ;
// 1344px container + 40
$fullhd: 1384px ;
// Miscellaneous
$easing: ease-out ;
$radius-small: 2px ;
$radius: 3px ;
$radius-large: 5px ;
$speed: 86ms ;
$grid-gap: 25px;
////////////////////////////////////////////////
////////////////////////////////////////////////
// 2. Primary colors
$success: darken($turquoise, 10%) ;
$warning: $yellow ;
$danger: $red ;
$light: $white-ter ;
$dark: $grey-darker ;
$primary: lighten($dark-turquoise, 10%);
$table-row-hover-background: lighten($nav-link-color, 45%);
$alt-section-bg: $light-background-blue;
$dark-alt-section-bg: lighten($grey-lighter, 9%);
$info: $yellow;

////////////////////////////////////////////////
////////////////////////////////////////////////
// 3. Applied variables

// General colors
$background: $white-ter ;
$border: $grey-lighter ;
$border-hover: $grey-light ;
$content-background: #fafafa;
// Text colors
$text: $grey-dark ;
$text-light: $grey ;
$text-strong: $grey-darker ;
// Code colors
$code: $red ;
$code-background: $background ;
$pre: $text ;
$pre-background: $background ;
// Link colors
$link: $primary ;
$link-visited: $purple ;
$link-hover: $grey-darker ;
$link-hover-border: $grey-light ;
$link-focus: $grey-darker ;
$link-focus-border: $primary ;
$link-active: $grey-darker ;
$link-active-border: $grey-dark ;
// Typography
$family-primary: $family-sans-serif ;
$family-code: $family-monospace ;
$size-small: $size-7 ;
$size-normal: $size-6 ;
$size-medium: $size-5 ;
$size-large: $size-4 ;

// Sidebar
$sidebar-width: 100px;
$sidebar-bg-color: $grey-dark;
$sidebar-bg-hover-color: $grey-darker;
$sidebar-z-index:1;

// Aside Interstitial
$aside-width: 350px;

// Nav
$nav-height: 3.5rem;
$nav-bg-color: $grey-darker;
$nav-bg-hover-color: $black-bis;

// 5. Sidebar
$sidebar-width: 100px;

// 7. Content
$th-min-height: 32px;

// 8. Responsive
$tablet: 875px;

// 9. Box
$box-padding: .75rem;
$box-shadow-below: 0 2px 6px $grey-light;
//$box-shadow: 0 0 6px $grey-light;
$box-shadow: $box-shadow-below;
$box-radius: 3px;

$dropdown-item-hover-background-color: $white-bis;
$dropdown-item-hover-color: $grey-dark;
